### Class

# Ggit Blame

#### Description [src]

    final class Ggit.Blame : Ggit.Native
    {
      /* No available fields */
    }

Represents a blame.

#### Hierarchy

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Functions

###### ggit_blame_get_flags

Get the blame options flags.

###### ggit_blame_set_flags

Set the blame options flags.

#### Instance methods

###### ggit_blame_from_buffer

Get blame data for a file that has been modified in memory. `blame` is a pre-calculated blame for the in-odb history of the file. This means that once a file blame is completed (which can be expensitve), updating the buffer blame is very fast.

###### ggit_blame_get_hunk_by_index

No description available.

###### ggit_blame_get_hunk_by_line

No description available.

###### ggit_blame_get_hunk_count

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitBlameClass {
      GgitNativeClass parent_class;

    }

No description available.

###### Class members

`parent_class: GgitNativeClass`

  No description available.